# ModifyAutoSnapshotPolicy

## 1. 接口描述

本接口(ModifyAutoSnapshotPolicy)用于修改自动快照策略的基本信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                   | 必选 | 类型               | 描述                                                                                                                 |
| ---------------------- | -- | ---------------- | ------------------------------------------------------------------------------------------------------------------ |
| autoSnapshotPolicyId   | 是  | String           | 自动快照策略的ID。                                                                                                         |
| autoSnapshotPolicyName | 否  | String           | <p>自动快照策略的名称。</p><p>范围2到63个字符。</p><p>仅支持输入字母、数字、-/\_和英文句点(.)。</p><p>且必须以数字或字母开头和结尾。</p>                            |
| repeatWeekDays         | 否  | Array of Integer | <p>自动快照的重复日期。</p><p>单位为天，周期为星期，例如 1 表示周一。</p><p>可选值范围：\[1, 7]</p>                                                  |
| hours                  | 否  | Array of Integer | <p>指定定期快照策略的触发时间。</p><p>使用 UTC 时间，单位为小时。</p><p>00:00 \~ 23:00 共 24 个时间点可选，1表示 01:00，依此类推。</p><p>可选值范围：\[0, 23]</p> |
| retentionDays          | 否  | Integer          | <p>自动快照的保留时间，单位为天。</p><p>如果该值设置-1，则代表永久保留。</p><p>取值范围：-1或\[1,65535]。</p>                                           |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 修改快照策略的属性，包括名称，保留天数为3天。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyAutoSnapshotPolicy
<Common Request Params>

Request：
{
  "autoSnapshotPolicyId": "<autoSnapshotPolicyId>",
  "autoSnapshotPolicyName": "Test",
  "retentionDays": 3
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                         | 说明         |
| ------- | ------------------------------------------- | ---------- |
| 404     | INVALID\_AUTO\_SNAPSHOT\_POLICY\_NOT\_FOUND | 自动快照策略不存在。 |
| 400     | INVALID\_RETENTION\_DAYS                    | 保留天数不合法。   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk-snapshot/modifyautosnapshotpolicy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
